hr {
  width: 100%;
  height: 1px;
  background-color: #9A9A9A;

  @media screen and (min-width: 768px) {
  }
}

.carousel-container {
  max-width: 1450px;

  @media screen and (min-width: 768px) {
    width: 100%;
  }
}

.carousel-div {
  width: 100%;
  max-width: 360px;
  margin: 0 auto; 
  position: relative;
  overflow: hidden;
  padding: 0 6px;
  display: flex;
  flex-direction: column;
  
  @media screen and (min-width: 768px) {
    margin: 0px;
    max-width: none;
    padding: 0 40px;
  }
}

.carousel-div h1 {
  color: #0B0B0B;
  text-align: center;
  font-size: 20px;
  font-style: normal;
  font-weight: 700;
  line-height: normal;
  letter-spacing: 1.2px;
  text-transform: uppercase;
  margin-bottom: 0px;
}

.post-list-carousel {
  display: flex;
  gap: 15px;
  transition: transform 0.5s ease-in-out;
  overflow-x: auto;
  scroll-snap-type: x mandatory; 
  -webkit-overflow-scrolling: touch; 
  padding-bottom: 10px; 
  justify-content: start; 
  margin-top: 24px;

  @media screen and (min-width: 768px) {
    overflow-x: hidden; 
  }
}

.post-list-carousel::-webkit-scrollbar {
  display: none;
}

.post-item-carousel {
  width: 164px; 
  height: 100%; 
  flex-shrink: 0;
  scroll-snap-align: center;

  @media screen and (min-width: 768px) {
    width: calc((100% - 30px) / 3);
  }
}

.post-thumbnail-carousel img {
  width: 164px;
  height: 136px;
  object-fit: cover; 
  box-shadow: none;

  @media screen and (min-width: 768px) {
    width: 100%; 
    height: 289px;
  }
}

.post-title-carousel {
  margin-top: 10px;
  margin-bottom: 12px;
}

.read-more-carousel {
  color: #DB0812;
  font-size: 12px;
  font-style: normal;
  font-weight: 700;
  line-height: 16px; 
  letter-spacing: 0.72px;
  text-decoration-line: underline;
}

.carousel-prev,
.carousel-next {
  display: block;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  background-color: transparent;
  border: none;
  cursor: pointer;
  z-index: 10;

  @media screen and (min-width: 768px) {
    display: none;
  }
}

.carousel-prev {
  z-index: 50;
  top: 49%;
  left: -1px; 
}

.carousel-next {
  top: 49%;
  right: -1px; 
}

.button-carousel {
  width: 177px;
  height: 36px;
  flex-shrink: 0;
  background-color: #DB0812;
  border-radius: 0px;
  border: none;
  margin: 25px auto;
  cursor: pointer;

  color: #FFF;
  text-align: center;
  font-size: 14px;
  font-style: normal;
  font-weight: 700;
  line-height: normal;
  letter-spacing: 0.56px;
}

.read-more-carousel:visited {
  color: #DB0812 !important;
}

